| Home | Libraries | People | FAQ | More

##### BOOST_GEOMETRY_REGISTER_MULTI_LINESTRING_TEMPLATED

Macro to register a templated multi_linestring.

###### Description

The macro BOOST_GEOMETRY_REGISTER_MULTI_LINESTRING_TEMPLATED registers a templated multi_linestring such that it is recognized by Boost.Geometry and that Boost.Geometry functionality can used with the specified type. The type must have one template parameter, which should be a linestring type, and should not be specified. Boost.Geometry takes care of inserting the template parameter. Hence all types of this templated multi_linestring are registered, regardless of their point type.

###### Synopsis

    #define BOOST_GEOMETRY_REGISTER_MULTI_LINESTRING_TEMPLATED(MultiLineString)

###### Parameters

Name | Description
--- | ---
MultiLineString | multi_linestring (without template parameters) type to be registered

###### Header

`#include <boost/geometry/geometries/register/multi_linestring.hpp>`

###### Example

[register_multi_linestring_templated] [register_multi_linestring_templated_output]